Consultar uma contestação MED
curl --request GET \
--url https://api.nyxpag.com.br/v1/meds/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nyxpag.com.br/v1/meds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nyxpag.com.br/v1/meds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nyxpag.com.br/v1/meds/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"id": "med_01JABCDEF0123456789",
"status": "pending",
"amount": 149.9,
"currency": "BRL",
"transactionId": "txn_mabc123_0123456789abcdef",
"orderId": "PEDIDO-1042",
"reason": "<string>",
"previousStatus": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
},
"requestId": "<string>"
}{
"success": false,
"code": "rate_limit_exceeded",
"error": {
"code": "rate_limit_exceeded",
"message": "Muitas solicitações. Aguarde antes de tentar novamente."
},
"retryAfter": 60,
"requestId": "req_example"
}MED
Consultar uma contestação MED
Permissão necessária: transactions:read. Aceita o ID do MED, da transação NyxPag ou o externalId do pedido.
GET
/
meds
/
{id}
Consultar uma contestação MED

